PythonOCC

PythonOCCで文字を表示する

2020年5月9日

PythonOCCでは、モデルだけではなく文字も表示できるらしい。

使用するのは display.DisplayMessage() です。
「Hello Box」と表示してみました。
中身はこんな感じです。
from OCC.Core.BRepPrimAPI import BRepPrimAPI_MakeBox
from OCC.Core.gp import gp_Pnt
from OCC.Display.SimpleGui import init_display

display, start_display, add_menu, add_function_to_menu = init_display()

# 箱作成
z = 30
my_box = BRepPrimAPI_MakeBox(10.,20.,z).Shape()

# 箱表示
display.DisplayShape(my_box, update=True )

# 体積を表示
for i in range(0, z, 2 ):
    display.DisplayMessage(gp_Pnt(0,20.,i), "Hello Box", height=30.)

start_display()

-PythonOCC

© 2021 暇人が趣味をさがす